using System;
using System.IO;
using System.Xml;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace MYAPP.Manage.Project.Area
{
    public partial class List_Area : MyApp.Web.UI.UserPage
    {
        public DataTable list_dt;
        public int _ROW = 0;
        public string _Area_ID="";

        override protected void AppInit()//程序基本信息初始化
        {
            try
            {
                _Area_ID = Request.QueryString["Area_ID"].Trim();
            }
            catch (Exception)
            {
                return;
            }
            base.AppInit();
        }

        override protected void DataInit()//数据初始化
        {
            XmlDocument xmldoc;
            xmldoc = MyApp.Components.XML.XmlDocument.Load(MyApp.Components.Area._System_Config);
            this.xds.Data = xmldoc.OuterXml;
            if (_Area_ID == "-1")
            {
                this.xds.XPath = "/config/area/node";
            }
            else
            {
                this.xds.XPath = String.Format("/config/area/node[@upid={0}]", _Area_ID);
            }
        }

        protected override void pl_register_script()
        {
            base.pl_register_script();
        }

        protected void Page_Init(object sender, EventArgs e)
        {
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            MyApp.Components.NavUrl.SetUrl(2);
            try
            {
                Page.DataBind();
            }
            catch (Exception) { }
        }
    }
}